package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.ProductService;
import com.diagbot.entity.wrapper.ProductServiceWrapper;
import com.diagbot.mapper.ProductServiceMapper;
import com.diagbot.service.ProductServiceService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务端维护表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2018-09-17
 */
@Service
public class ProductServiceServiceImpl extends ServiceImpl<ProductServiceMapper, ProductService> implements ProductServiceService {

    /**
     * 根据用户id获取产品与服务端的关联列表（分页）
     *
     * @param page
     * @param productService
     * @return
     */
    public IPage<ProductServiceWrapper> selectProductServiceByUserIdPage(Page<ProductServiceWrapper> page, ProductServiceWrapper productService) {
        return baseMapper.selectProductServiceByUserIdPage(page, productService);
    }
}