package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.wrapper.OrderDetailsWapper;
import com.diagbot.facade.OrderDetailsFacade;
import com.diagbot.vo.AuditStatusVO;
import com.diagbot.vo.OrderDetialsVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Description: 订单明细 前端控制器
 * @Author: wangyu
 * @Date: 15:46 2018/9/17
 */
@RestController
@RequestMapping("/diagOrderDetails")
@Api(value = "订单明细API", tags = { "订单明细API" })
@SuppressWarnings("unchecked")
public class DiagOrderDetailsController {
    @Autowired
    private OrderDetailsFacade orderDetailsFacade;

    @ApiOperation(value = "查询所有订单明细[by:wangyu]",
            notes =
                    "current:页数<br>" +
                            "size:每页显示条数<br>" +
                            "status:订单状态（0.未付款1.已付款）")
    @PostMapping("/getAllOrderDetials")
    @SysLogger("getAllOrderDetials")
    public RespDTO<List<OrderDetailsWapper>> getAllOrderDetials(OrderDetialsVO orderDetialsVO) {
        List<OrderDetailsWapper> list = orderDetailsFacade.getAllOrderDetials(orderDetialsVO);
        return RespDTO.onSuc(list);
    }

    @ApiOperation(value = "产品申请——审核[by:wangyu]",
            notes =
                    "id:订单明细id，根据订单明细id修改审核状态，必填<br>")
    @PostMapping("/auditStatus")
    @SysLogger("auditStatus")
    public RespDTO<Boolean> auditStatus(AuditStatusVO auditStatusVO) {
        return RespDTO.onSuc(orderDetailsFacade.updateAuditStatus(auditStatusVO));
    }
}

