package com.diagbot.dto;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.diagbot.enums.AuthStatusEnum;
import com.diagbot.enums.OrganizationTypeEnum;

import lombok.Getter;
import lombok.Setter;

/**
 * @author wangfeng
 * @Description: 用户信息类表
 * @date 2018年9月17日 下午4:35:35
 */
public class UserInfoDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long userId;//用户ID
    private Date userGmtCreate;//记录创建时间
    private String userName;// 用户名
    private String linKman;//联系人
    private String email;// 邮箱
    @TableId(value = "id", type = IdType.AUTO)
    private Long orgId;//机构ID
    private Date orgGmtCreate;//记录创建时间
    private String orgName;//机构名称
    private Integer orgType;//机构属性
    private String orgTypeStr;//机构属性String
    private String orgPrincipal;//负责人
    private String orgAddress;//机构地址
    private Long orgParentId;//上级机构id
    private Integer orgSubNum;//下属机构数量
    private String autPosition;//岗位信息
    private Integer autIsReject;//是否通过认证 N:未通过，Y:已通过
    private Integer autStatus;//认证状态
    private String autStatusStr;//认证状态String

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Date getUserGmtCreate() {
        return userGmtCreate;
    }

    public void setUserGmtCreate(Date userGmtCreate) {
        this.userGmtCreate = userGmtCreate;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getLinKman() {
        return linKman;
    }

    public void setLinKman(String linKman) {
        this.linKman = linKman;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Date getOrgGmtCreate() {
        return orgGmtCreate;
    }

    public void setOrgGmtCreate(Date orgGmtCreate) {
        this.orgGmtCreate = orgGmtCreate;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Integer getOrgType() {
        return orgType;
    }

    public void setOrgType(Integer orgType) {
        if (orgType != null) {
            setOrgTypeStr(OrganizationTypeEnum.getName(orgType));
        }
        this.orgType = orgType;
    }

    public String getOrgTypeStr() {
        return orgTypeStr;
    }

    public void setOrgTypeStr(String orgTypeStr) {
        this.orgTypeStr = orgTypeStr;
    }

    public String getOrgPrincipal() {
        return orgPrincipal;
    }

    public void setOrgPrincipal(String orgPrincipal) {
        this.orgPrincipal = orgPrincipal;
    }

    public String getOrgAddress() {
        return orgAddress;
    }

    public void setOrgAddress(String orgAddress) {
        this.orgAddress = orgAddress;
    }

    public Long getOrgParentId() {
        return orgParentId;
    }

    public void setOrgParentId(Long orgParentId) {
        this.orgParentId = orgParentId;
    }

    public Integer getOrgSubNum() {
        return orgSubNum;
    }

    public void setOrgSubNum(Integer orgSubNum) {
        this.orgSubNum = orgSubNum;
    }

    public String getAutPosition() {
        return autPosition;
    }

    public void setAutPosition(String autPosition) {
        this.autPosition = autPosition;
    }

    public Integer getAutIsReject() {
        return autIsReject;
    }

    public void setAutIsReject(Integer autIsReject) {
        this.autIsReject = autIsReject;
    }

    public Integer getAutStatus() {
        return autStatus;
    }

    public void setAutStatus(Integer autStatus) {
        if (autStatus != null) {
            setAutStatusStr(AuthStatusEnum.getName(autStatus));
        }
        this.autStatus = autStatus;
    }

    public static long getSerialversionuid() {
        return serialVersionUID;
    }

    public String getAutStatusStr() {
        return autStatusStr;
    }

    public void setAutStatusStr(String autStatusStr) {
        this.autStatusStr = autStatusStr;
    }


}
