package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.Organization;

import java.util.List;
import java.util.Map;

/**
 * @Description: 机构service
 * @Author: ztg
 * @Date: 2018/9/13 16:55
 */
public interface OrganizationService extends IService<Organization> {


    /**
     * @Description: 查询机构
     * @Author: ztg
     * @Date: 2018/9/17 15:16
     */
    public List<Organization> selectByMap(Map map);

    /**
     * @Description: 通过用户id获取组织结构
     * @Author: ztg
     * @Date: 2018/9/13 19:24
     */
    public Organization getByUserId(Long userId);


    /**
     * @Description: 模糊查询机构名称
     * @Author: wangfeng
     * @Date: 2018/9/19 15:24
     */
    public List<Organization> findOrganization(String organizationName);
}
