package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.UserOrganization;
import com.diagbot.mapper.UserOrganizationMapper;
import com.diagbot.service.UserOrganizationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Description: 用户-组织机构serviceImpl
 * @Author: ztg
 * @Date: 2018/9/13 19:01
 */
@Service
public class UserOrganizationServiceImpl extends ServiceImpl<UserOrganizationMapper, UserOrganization> implements UserOrganizationService {

    @Autowired
    UserOrganizationMapper userOrganizationMapper;

    /**
     * 根据参数获取机构信息
     *
     * @param map 参数
     * @return 机构列表
     */
    @Override
    public List<UserOrganization> selectByMap(Map map) {
        return userOrganizationMapper.selectByMap(map);
    }

    @Override
    public List<UserOrganization> getAgencyPersonnel(UserOrganization userORG) {
        return userOrganizationMapper.getAgencyPersonnel(userORG);

    }
}
