package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

/**
 * @author wangfeng
 * @Description: 用于超级管理员增加用户
 * @date 2018年9月19日 下午5:25:23
 */
@Getter
@Setter
public class UserInfoVO {

    @NotBlank(message = "请输入密码!")
    @Pattern(regexp = "^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{6,16}$", message = "密码必须数字和字母组成，并且要同时含有数字和字母，且长度要在6-16位之间")
    private String password;
    @NotBlank(message = "请输入手机号!")
    private String username;
    @NotBlank(message = "请输入机构名称!")
    private String organization;
    @NotBlank(message = "请输入联系人姓名!")
    private String linkman;
    @NotBlank(message = "请输入邮箱!")
    private String email; //邮箱
}
