package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;
import java.util.Date;

/**
 * @Description: 图片验证码验证输入信息
 * @author: gaodm
 * @time: 2018/9/3 15:38
 */
@Getter
@Setter
public class UserSaveVO {
    private Long id;
    private String isDeleted;
    private Date gmtCreate;
    private Date gmtModified;
    private String creator;
    private String modifier;
    @NotBlank(message = "请输入密码!")
    @Pattern(regexp = "^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{6,16}$", message = "密码必须数字和字母组成，并且要同时含有数字和字母，且长度要在6-16位之间")
    private String password;
    @NotBlank(message = "请输入手机号!")
    private String username;
    @NotBlank(message = "请输入机构名称!")
    private String organization;
    @NotBlank(message = "请输入联系人姓名!")
    private String linkman;
    @NotBlank(message = "请输入邮箱!")
    private String email; //邮箱
    //图片验证码唯一标志
    @NotBlank(message = "图片验证码唯一标志不能为空!")
    private String imgId;
    //验证码
    @NotBlank(message = "请输入图形验证码!")
    private String code;
}
